%define majver %(echo %version | cut -d. -f1)
%define minver %(echo %version | cut -d. -f2)
Name:          hping
Version:       3.20051105
Release:       2mamba
Summary:       Command-line oriented TCP/IP packet assembler/analyzer
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.hping.org/
Source:        http://www.hping.org/hping%{majver}-%{minver}.tar.gz
Patch:         hping2-2.0.0rc3-build.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Provides:      hping3
Provides:      hping2
Obsoletes:     hping2
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
hping is a command-line oriented TCP/IP packet assembler/analyzer.
The interface is inspired to the ping unix command, but hping isn't only able to send ICMP echo requests.
It supports TCP, UDP, ICMP and RAW-IP protocols, has a traceroute mode, the ability to send files between a covered channel, and many other features.

%prep
%setup -q -n hping%{majver}-%{minver}
#%patch -p1 -b

%build
%configure
%make DEBUG="" CCOPT="%{optflags}"

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8
install -m0755 hping3 %{buildroot}%{_sbindir}
ln -s hping3 %{buildroot}%{_sbindir}/hping
ln -s hping3 %{buildroot}%{_sbindir}/hping2
install -m0644 ./docs/hping3.8 %{buildroot}%{_mandir}/man8/


#mv %{buildroot}%{_mandir}/fr/man8/hping2-fr.8 \
#   %{buildroot}%{_mandir}/fr/man8/hping2.8

#rm -fr ./docs/CVS
#rm -fr ./docs/french/{CVS,Makefile,hping2-fr.8.txt}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/hping
%{_sbindir}/hping2
%{_sbindir}/hping3
%{_mandir}/man8/hping3.*
%doc AUTHORS BUGS CHANGES COPYING KNOWN-BUGS NEWS README TODO
%doc docs/*

%changelog
* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 3.20051105-2mamba
- automatic rebuild by autodist

* Mon Dec 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.20051105-1mamba
- update to 3.20051105

* Mon Dec 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.alpha-2-1mamba
- automatic update by autodist

* Wed May 14 2008 Aleph0 <aleph0@openmamba.org> 2.0.0rc3-4mamba
- specfile updated
- french manpage renamed from hping2-fr.8 to hping2.8

* Tue Sep 20 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.0.0rc3-3qilnx
- specfile fixes

* Thu Apr 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.0.0rc3-2qilnx
- fixed provides statement
- fixed compilation flags

* Tue Nov 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.0.0rc3-1qilnx
- updated to 2.0.0rc3
- specfile updated; added patch for QiLinux

* Fri Oct 17 2003 Davide Madrisan <davide.madrisan@qilinux.it> 2.0.0rc2-1qilnx
- first build
